Skip to content
Draft: the API is under development and may change before the first release

Retrieve a refund

GET
/refunds/{refund_id}
curl --request GET \
--url https://api.pachapay.io/v1/refunds/example \
--header 'Authorization: Bearer <token>'
refund_id
required
string
/^ref_/

The refund.

Media typeapplication/json
object
id
required
string
object
required
string
Allowed value: refund
status
required
string
Allowed values: created processing succeeded failed canceled returned
payment_id
required
string
payout_id

Set when the refund is executed as a payout.

string | null
amount
required
integer format: int64
currency
required

ISO 4217 code. Crypto assets are not accepted in this field.

string
Allowed values: CLP COP PEN MXN BRL USD
reason
string | null
created_at
required
string format: date-time

Example

{
"id": "ref_0192f3c2",
"object": "refund",
"status": "created",
"currency": "CLP"
}

Error. See error.code.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error invalid_state_error idempotency_error rate_limit_error api_error
code
required

Stable machine-readable code that does not change within a major version. Examples are parameter_invalid, parameter_missing, amount_out_of_range, api_key_invalid, api_key_revoked, merchant_not_active, method_not_allowed, country_not_allowed, resource_not_found, idempotency_conflict, idempotency_in_progress, invalid_state, insufficient_balance, method_not_available, blocked_payer, limit_exceeded, rate_limited, internal_error, provider_unavailable, service_unavailable.

string
message
required
string
param

Name of the offending parameter, if any.

string
request_id
required
string

Examples

Merchant not approved

{
"error": {
"type": "permission_error",
"code": "merchant_not_active",
"message": "KYB is not approved for this merchant.",
"request_id": "req_01"
}
}

Error. See error.code.

Media typeapplication/json
object
error
required
object
type
required
string
Allowed values: invalid_request_error authentication_error permission_error not_found_error invalid_state_error idempotency_error rate_limit_error api_error
code
required

Stable machine-readable code that does not change within a major version. Examples are parameter_invalid, parameter_missing, amount_out_of_range, api_key_invalid, api_key_revoked, merchant_not_active, method_not_allowed, country_not_allowed, resource_not_found, idempotency_conflict, idempotency_in_progress, invalid_state, insufficient_balance, method_not_available, blocked_payer, limit_exceeded, rate_limited, internal_error, provider_unavailable, service_unavailable.

string
message
required
string
param

Name of the offending parameter, if any.

string
request_id
required
string

Examples

Merchant not approved

{
"error": {
"type": "permission_error",
"code": "merchant_not_active",
"message": "KYB is not approved for this merchant.",
"request_id": "req_01"
}
}